local g_NpcInfo = {
	[0] = {szNpcName="邱行洛", fX=232, fY=319},
}
local g_szMission = "捎口信"
local g_nIndex = -1
local g_idMission = 0
local g_idScript = 0

function OnMission()

	local 任务进度 = 取任务进度(g_szMission)
	if 任务进度 == -1 then
		if 取地图名() ~= "洛阳" and 取距离(g_NpcInfo[0].fX, g_NpcInfo[0].fY) >= 20 then 召唤坐骑(1) end
		ID_寻路(g_NpcInfo[0].fX, g_NpcInfo[0].fY, 0)
		对话npc(g_NpcInfo[0].szNpcName)
		对话选项(g_szMission)
		if 查找对话项文本(1,"送了10次口信") == 1 then 打印信息("已经完成10次送口信任务，脚本结束") return end
		return OnMission()
	end
	
	if 任务进度 == 0 or 任务进度 == 1 then
		local 参数 = 取任务参数(g_szMission, 3)
		local x, y, Id, NpcName, _ = GetBuildingParameters(参数) 
		if x == 0 or Id == -1 then 打印信息("获取坐标参数失败..")  return end
		召唤坐骑(1)
		ID_寻路(x, y, Id)
		对话npc(NpcName)
		对话选项(g_szMission)
		完成任务()
		return OnMission()
	end

end
打印信息("开始执行送口信脚本。。。")
OnMission()


